콘텐츠로 건너뛰기

CSM-1B

통합

모델 id csm-1b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/csm-1b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'\''m great, so happy to be speaking to you."
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청: ≈$0.03 30 API 크레딧 · ≈ ₽3.16 이 페이지에서 실행

API 키 받기
Sesame 텍스트를 음성으로 #conversational#text-to-speech

장면별 대사와 선택적 오디오 컨텍스트를 입력받는 대화형 텍스트-음성 모델

Sesame · 오디오

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

•필수

오디오 생성용 원본 텍스트입니다.

고급 context

오디오 생성용 원본 컨텍스트입니다.

POST /run/csm-1b?wait=20 견적 → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/csm-1b?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'\''m great, so happy to be speaking to you."
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

CSM-1B 정보

말할 텍스트를 담은 객체 배열인 필수 `scene`에서 음성을 생성합니다. 선택적 `context` 배열로 이전 대화 내용을 제공해 전달 방식을 조정할 수 있습니다. 결과는 단일 오디오 출력입니다. 대화형 음성에 적합합니다.

매개변수

이름유형 기본값허용됨 설명
scene필수
유형object[]
오디오 생성용 원본 텍스트입니다.
scene[].speaker_id필수
유형integer
scene[].text필수
유형string
context선택 사항
유형object[]
오디오 생성용 원본 컨텍스트입니다.
context[].prompt필수
유형string
context[].speaker_id필수
유형integer
context[].audio_url필수
유형url · audio
필수

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "csm-1b",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "scene": [
      {
        "speaker_id": 0,
        "text": "Hey how are you doing."
      },
      {
        "speaker_id": 1,
        "text": "Pretty good, pretty good."
      },
      {
        "speaker_id": 0,
        "text": "I'm great, so happy to be speaking to you."
      }
    ]
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
audio
object {url, content_type, file_name, file_size} | string모델이 생성한 오디오입니다.

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/csm-1b.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt